Bug 319 - Panic when attempting to open files
Panic when attempting to open files
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
All Windows 2000
: P2 regression
: 3.0.0rc2
Assigned To: Jeremy Allison
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-18 11:52 UTC by Mike Pakovic
Modified: 2005-11-14 09:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Pakovic 2003-08-18 11:52:53 UTC
I'm finding panic (signal 11) messages in some of my user logs.  This may be
related to bug 318.  I'm using the CVS snapshot as of late Friday evening. 
Here's a portion of the log showing the panic (log is log.sabretooth).  I can
send more information upon request.

Mike

[2003/08/18 13:42:05, 3] smbd/trans2.c:call_trans2qfilepathinfo(1863)
  call_trans2qfilepathinfo S-3 Maintenance Trainers/CIP/Drawings (fnum = -1)
level=1004 call=5 total_data=0
[2003/08/18 13:42:05, 3] smbd/process.c:process_smb(890)
  Transaction 3262 of length 222
[2003/08/18 13:42:05, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 27040)
[2003/08/18 13:42:05, 3] smbd/trans2.c:call_trans2qfilepathinfo(1835)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1004
[2003/08/18 13:42:05, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/S-3 Maintenance
Trainers/CIP/Drawings/support/legacy/dwfout/dwfout.lsp]
[2003/08/18 13:42:05, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [S-3 Maintenance
Trainers/CIP/Drawings/support/legacy/dwfout/dwfout.lsp]
[2003/08/18 13:42:05, 3] smbd/trans2.c:call_trans2qfilepathinfo(1854)
  call_trans2qfilepathinfo: SMB_VFS_STAT of S-3 Maintenance
Trainers/CIP/Drawings/support/legacy/dwfout/dwfout.lsp failed (No such file or
directory)
[2003/08/18 13:42:05, 3] smbd/error.c:error_packet(94)
  error string = No such file or directory
[2003/08/18 13:42:05, 3] smbd/error.c:error_packet(113)
  error packet at smbd/trans2.c(1725) cmd=50 (SMBtrans2)
NT_STATUS_OBJECT_PATH_NOT_FOUND
[2003/08/18 13:42:05, 3] smbd/process.c:process_smb(890)
  Transaction 3263 of length 222
[2003/08/18 13:42:05, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 27040)
[2003/08/18 13:42:05, 3] smbd/trans2.c:call_trans2qfilepathinfo(1835)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1004
[2003/08/18 13:42:05, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/S-3 Maintenance
Trainers/CIP/Drawings/support/legacy/dwfout/dwfout.lsp]
[2003/08/18 13:42:05, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [S-3 Maintenance
Trainers/CIP/Drawings/support/legacy/dwfout/dwfout.lsp]
[2003/08/18 13:42:05, 3] smbd/trans2.c:call_trans2qfilepathinfo(1854)
  call_trans2qfilepathinfo: SMB_VFS_STAT of S-3 Maintenance
Trainers/CIP/Drawings/support/legacy/dwfout/dwfout.lsp failed (No such file or
directory)
[2003/08/18 13:42:05, 3] smbd/error.c:error_packet(94)
  error string = No such file or directory
[2003/08/18 13:42:05, 3] smbd/error.c:error_packet(113)
  error packet at smbd/trans2.c(1725) cmd=50 (SMBtrans2)
NT_STATUS_OBJECT_PATH_NOT_FOUND
[2003/08/18 13:42:05, 3] smbd/process.c:process_smb(890)
  Transaction 3264 of length 222
[2003/08/18 13:42:05, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 27040)
[2003/08/18 13:42:05, 3] smbd/trans2.c:call_trans2qfilepathinfo(1835)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1004
[2003/08/18 13:42:05, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/S-3 Maintenance
Trainers/CIP/Drawings/support/legacy/dwfout/dwfout.lsp]
[2003/08/18 13:42:05, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [S-3 Maintenance
Trainers/CIP/Drawings/support/legacy/dwfout/dwfout.lsp]
[2003/08/18 13:42:05, 3] smbd/trans2.c:call_trans2qfilepathinfo(1854)
  call_trans2qfilepathinfo: SMB_VFS_STAT of S-3 Maintenance
Trainers/CIP/Drawings/support/legacy/dwfout/dwfout.lsp failed (No such file or
directory)
[2003/08/18 13:42:05, 3] smbd/error.c:error_packet(94)
  error string = No such file or directory
[2003/08/18 13:42:05, 3] smbd/error.c:error_packet(113)
  error packet at smbd/trans2.c(1725) cmd=50 (SMBtrans2)
NT_STATUS_OBJECT_PATH_NOT_FOUND
[2003/08/18 13:42:05, 3] smbd/process.c:process_smb(890)
  Transaction 3265 of length 156
[2003/08/18 13:42:05, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 27040)
[2003/08/18 13:42:05, 3] smbd/trans2.c:call_trans2qfilepathinfo(1835)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1004
[2003/08/18 13:42:05, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/S-3 Maintenance Trainers/CIP/Drawings]
[2003/08/18 13:42:05, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [S-3 Maintenance Trainers/CIP/Drawings]
[2003/08/18 13:42:05, 3] smbd/trans2.c:call_trans2qfilepathinfo(1863)
  call_trans2qfilepathinfo S-3 Maintenance Trainers/CIP/Drawings (fnum = -1)
level=1004 call=5 total_data=0
[2003/08/18 13:42:05, 3] smbd/process.c:process_smb(890)
  Transaction 3266 of length 156
[2003/08/18 13:42:05, 3] smbd/process.c:switch_message(685)
  switch message SMBtrans2 (pid 27040)
[2003/08/18 13:42:05, 3] smbd/trans2.c:call_trans2qfilepathinfo(1835)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1004
[2003/08/18 13:42:05, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/S-3 Maintenance Trainers/CIP/Drawings]
[2003/08/18 13:42:05, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [S-3 Maintenance Trainers/CIP/Drawings]
[2003/08/18 13:42:05, 3] smbd/trans2.c:call_trans2qfilepathinfo(1863)
  call_trans2qfilepathinfo S-3 Maintenance Trainers/CIP/Drawings (fnum = -1)
level=1004 call=5 total_data=0
[2003/08/18 13:42:05, 3] smbd/process.c:process_smb(890)
  Transaction 3267 of length 92
[2003/08/18 13:42:05, 3] smbd/process.c:switch_message(685)
  switch message SMBtconX (pid 27040)
[2003/08/18 13:42:05, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2003/08/18 13:42:05, 0] lib/fault.c:fault_report(36)
[2003/08/18 13:42:05, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 27040 (3.0.0rc1)
  Please read the appendix Bugs of the Samba HOWTO collection
[2003/08/18 13:42:05, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2003/08/18 13:42:05, 0] lib/util.c:smb_panic(1462)
  PANIC: internal error
[2003/08/18 13:42:05, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 14 stack frames:
   #0 smbd(smb_panic+0xc9) [0x81812b9]
   #1 smbd [0x8172d06]
   #2 /lib/libc.so.6 [0x402a8d48]
   #3 smbd(alloc_sub_basic+0x22) [0x8186532]
   #4 smbd(strftime+0x1847) [0x8076bcb]
   #5 smbd(make_connection+0x3cd) [0x80bbcf5]
   #6 smbd(reply_tcon_and_X+0x148) [0x8094880]
   #7 smbd [0x80b8b7d]
   #8 smbd [0x80b8d73]
   #9 smbd(process_smb+0x74) [0x80b8f20]
   #10 smbd(smbd_process+0x198) [0x80b9a2c]
   #11 smbd(main+0x410) [0x81d441c]
   #12 /lib/libc.so.6(__libc_start_main+0xa9) [0x402975cd]
   #13 smbd(chroot+0x31) [0x8076145]
[2003/08/18 13:42:05, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2003/08/18 13:42:05, 3] smbd/uid.c:push_conn_ctx(287)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2003/08/18 13:42:05, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2003/08/18 13:42:05, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2003/08/18 13:42:05, 3] auth/auth.c:check_ntlm_password(216)
  check_ntlm_password:  Checking password for unmapped user
[CSC]\[wrotundo]@[SABRETOOTH] with the new password interface
[2003/08/18 13:42:05, 3] auth/auth.c:check_ntlm_password(219)
  check_ntlm_password:  mapped user is: [CSC]\[wrotundo]@[SABRETOOTH]
[2003/08/18 13:42:05, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
Comment 1 Gerald (Jerry) Carter 2003-08-25 21:51:45 UTC
Jeremy,  Can you take a look at these when you get a chance? Thanks.
Comment 2 Gerald (Jerry) Carter 2003-08-27 13:05:19 UTC
RC2 will ship with this issue unresolved.  We'll put it on 
the plate for RC3 and hope to resolve it by then.
Comment 3 Gerald (Jerry) Carter 2003-08-29 07:58:51 UTC
Looking at the back trace, I think this is the 
alloc_string_sub() bug that was fixed in RC2.
Please test it.
Comment 4 Gerald (Jerry) Carter 2005-02-07 09:05:47 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:15:47 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 6 Gerald (Jerry) Carter 2005-11-14 09:24:31 UTC
database cleanup